Problem z Cms PHP Nuke


(Paweł) #1

Mam taki problemu zainstalowałem sobie Cms PHP Nuke i gdy zrobiłem wszystko chciałem już właczyć moją stronke z Cms PHP Nuke to mi wyskakuje coś takiego

Warning: ob_start(): output handler 'ob_gzhandler' conflicts with 'zlib output compression' in /srv/free/act9821/mainfile.php on line 44

Co to jest Pomocy :frowning:


(Asterisk) #2

’zlib output compression jest chyba preferowany

jako nadrzędny w stosunku do ‘ob_gzhandler’ ,

a Ty używasz obu jednocześnie i stąd ostrzeżenie o konflikcie


(Paweł) #3

asterisk to co mam zrobić :frowning:


(lazikar) #4
} else if ($phpver > '4.0') {

	if (strstr($HTTP_SERVER_VARS['HTTP_ACCEPT_ENCODING'], 'gzip')) {

		if (extension_loaded('zlib')) {

			$do_gzip_compress = TRUE;

			ob_start();

			ob_implicit_flush(0);

			//header('Content-Encoding: gzip');

		}

	}

}

Czy to taki kod masz w manfile???

Podaj kod od linijki 35 do55


(Paweł) #5
if ($phpver >= '404pl1' && strstr($_SERVER['HTTP_USER_AGENT'],'compatible')) { 

if (extension_loaded('zlib')) { 

//ob_end_clean(); 

ob_start('ob_gzhandler'); 

} 

} else if ($phpver > '4.0.0') { 

if (strstr($HTTP_SERVER_VARS['HTTP_ACCEPT_ENCODING'], 'gzip')) { 

if (extension_loaded('zlib')) { 

$do_gzip_compress = TRUE; 

ob_start(); 

ob_implicit_flush(0); 

//header('Content-Encoding: gzip'); 

} 

} 

} 


/*$phpver = explode(".", $phpver); 

$phpver = "$phpver[0]$phpver[1]";*/ 

if ($phpver >= 410) { 

$PHP_SELF = $_SERVER['SCRIPT_NAME']; 

}

(lazikar) #6

Wyłączymy g zip i zobaczymy.

[ZNAJDZ]

ob_start('ob_gzhandler');

[ZAMIEN NA]

@ob_start('ob_gzhandler');

(Paweł) #7

lazikar teraz nie zmienie bo coś jest z serwerem forall.pl jak zwykle


(lazikar) #8

Sprawdź jeszcze jak co, jaką wersje php ma ten serwer i czy nadaje sie pod phpNuke.


(Paweł) #9

lazikar jest jeden unser który mam php nuke na forall.pl i mu działa wszystko oki


(lazikar) #10

Wiec o czym mówisz???

O php Nuke???


(Paweł) #11

Oj prezpraszam pomyliłem się


(lazikar) #12

Więc sprawdz to czy coś da.

Podaj werje php i wersje Nuka jak nie zmiana w kodzie nic nie da. :slight_smile:


(Paweł) #13

Zmieniłem kod już nie pokazuje tego błedu ale jest cos takiego http://www.program.gaa.pl/blad.JPG :frowning:


(Asterisk) #14

Wypowiedź sugeruje chwilowy błąd z serwerem MySQL

i zapowiada, że powinno być zaraz dobrze


(Paweł) #15

asterisk to poczekam do jutra

Złączono Posta : 19.08.2005 (Pią) 10:29

Nadal to samo http://www.program.gaa.pl/blad.JPG :frowning:


(lazikar) #16

Nie widze tego obrazka.


(Paweł) #17

lazikar temat można zamknąć wgrałem sobie php fusion


(lazikar) #18

No więc koniec tematu. :?